Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EDbVendor

    java.lang.Object
      java.lang.Enum<EDbVendor>
          gudusoft.gsqlparser.EDbVendor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EDbVendor>

    public enum EDbVendor

extends java.lang.Enum<EDbVendor>

Database vendor list. Support Access, Db2, MySQL, SQL Server and Oracle in current version.

Enum Constant Summary
`dbvaccess`
`dbvdb2`
`dbvfirebird`
`dbvgeneric`
`dbvinformix`
`dbvmdx`
`dbvmssql`
`dbvmysql`
`dbvnetezza`
`dbvoracle`
`dbvpostgresql`
`dbvsybase`
`dbvteradata`

Method Summary
`static EDbVendor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EDbVendor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dbvmssql

    public static final EDbVendor dbvmssql

### dbvoracle

    public static final EDbVendor dbvoracle

### dbvmysql

    public static final EDbVendor dbvmysql

### dbvaccess

    public static final EDbVendor dbvaccess

### dbvgeneric

    public static final EDbVendor dbvgeneric

### dbvdb2

    public static final EDbVendor dbvdb2

### dbvsybase

    public static final EDbVendor dbvsybase

### dbvinformix

    public static final EDbVendor dbvinformix

### dbvpostgresql

    public static final EDbVendor dbvpostgresql

### dbvfirebird

    public static final EDbVendor dbvfirebird

### dbvmdx

    public static final EDbVendor dbvmdx

### dbvteradata

    public static final EDbVendor dbvteradata

### dbvnetezza

    public static final EDbVendor dbvnetezza

Method Detail

### values

    public static final EDbVendor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EDbVendor c : EDbVendor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EDbVendor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD